#!/bin/bash

## Make directories and move into /vagrant
if [ ! -d box ];
then
	mkdir "box"
	mkdir "box/www"
	mkdir "box/vagrant"
fi

# Initial repo setup
cd "box/www"
#rhc setup
#rhc git-clone internships

cd "../vagrant"
## Init vagrant within /vagrant
vagrant init ubuntu/trusty64
vagrant box update

## Copy some files to /vagrant for use in provision
cp ../../resources/.gitignore ./gitignore
cp ../../resources/.Vagrantfile ./Vagrantfile
cp ../../resources/php-apache.sh ./php-apache.sh
cp ../../resources/wp-setup.sh ./wp-setup.sh
cp ../../resources/wp-config.php ./wp-config.php
cp ../../resources/apache2.conf ./apache2.conf

### Bring up vagrant
vagrant up

cd box/vagrant
echo "Your machine is ready."
echo "I am now vagrant ssh-ing into it."
echo "Please wait..."
echo ""
vagrant ssh


